For the complete documentation index, see llms.txt. This page is also available as Markdown.

Receivement

Receivement

Deprecated

Print or send receivement receipt

post
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/receipt

Send receivement receipt as PDF, print on printer or get as PDF

Required permissions: RECEIVEMENT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Body
recepientsstring[]Required
subjectstringOptional
bodystringOptional
includePDFbooleanOptionalDefault: true
Responses
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

contentstringRequired

base64 encoded

contentTypestringRequired

mime type

filenamestringRequired
post/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/receipt
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/receipt HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 146

{
  "recepients": [
    "text"
  ],
  "subject": "text",
  "body": "text",
  "includePDF": true,
  "attachments": [
    {
      "content": "text",
      "contentType": "text",
      "filename": "text"
    }
  ]
}
{
  "content": "text",
  "contentType": "text",
  "filename": "text"
}

Email PDF of receivement receipt

post
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/email

Email PDF of receivement receipt

Required permissions: RECEIVEMENT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Body
recepientsstring[]Required
subjectstringOptional
bodystringOptional
includePDFbooleanOptionalDefault: true
Responses
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

contentstringRequired

base64 encoded

contentTypestringRequired

mime type

filenamestringRequired
post/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/email
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/email HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 146

{
  "recepients": [
    "text"
  ],
  "subject": "text",
  "body": "text",
  "includePDF": true,
  "attachments": [
    {
      "content": "text",
      "contentType": "text",
      "filename": "text"
    }
  ]
}
{
  "content": "text",
  "contentType": "text",
  "filename": "text"
}

Download PDF of receivement receipt

get
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/download

Download PDF of receivement receipt

Required permissions: RECEIVEMENT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

contentstringRequired

base64 encoded

contentTypestringRequired

mime type

filenamestringRequired
get/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/download
GET /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/download HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "content": "text",
  "contentType": "text",
  "filename": "text"
}

List receivements

get
/tenants/{tenantUid}/stores/{storeUid}/receivements

List all receivements.

Required permissions: RECEIVEMENT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
receivementProductUidstringOptional

Reference to a product uid.

Pattern: ^[A-Za-z0-9-_]+
receivementPurchaseOrderUidstringOptional

Reference to a purchaseOrder uid.

Pattern: ^[A-Za-z0-9-_]+
receivementExternalIdstringOptional

External reference to a receivement.

pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
createdFromstring · date-timeOptional

CreatedAt GTE

createdTostring · date-timeOptional

CreatedAt LTE

Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/receivements
GET /v2/tenants/{tenantUid}/stores/{storeUid}/receivements HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "externalId": "text",
      "items": [
        {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "createdBy": "text",
          "externalId": "text",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedBy": "text",
          "product": {
            "productUid": "text",
            "name": "text",
            "sku": "text"
          },
          "purchaseOrderItemUid": "text",
          "quantity": 1,
          "unitCost": 1,
          "receivementItemUid": "text",
          "serialnumber": "text",
          "status": "text",
          "note": "text",
          "tenantUserUid": "text",
          "tenantUserDisplayName": "text",
          "reservations": [
            {
              "orderUid": "text",
              "orderItemUid": "text",
              "orderNumber": "text",
              "quantity": 1,
              "reservationType": "NONE"
            }
          ]
        }
      ],
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "packingList": "text",
      "purchaseOrderUid": "text",
      "receivementUid": "text",
      "status": "RECEIVED",
      "warehouseUid": "text",
      "expectedArrival": "2026-01-01T00:00:00.000Z",
      "expectedDispatch": "2026-01-01T00:00:00.000Z",
      "supplierOrderReference": "text",
      "receivedAt": "2026-01-01T00:00:00.000Z"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Create a new receivement

post
/tenants/{tenantUid}/stores/{storeUid}/receivements

Create a new receivement.

Required permissions: RECEIVEMENT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
Body
receivementUidstringOptionalPattern: ^[A-Za-z0-9-_]+
externalIdstringOptional

External reference to receivement

packingListstringOptional
purchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequired
ENUMDescription
RECEIVEDReceived
PENDINGPut aside, not finished
UPDATINGUpdating in progress
CONFIRMEDConfirmed
Possible values:
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
expectedArrivalstring · date-timeOptional
expectedDispatchstring · date-timeOptional
supplierOrderReferencestringOptional
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivment

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
packingListstringRequired
purchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
receivementUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequired
ENUMDescription
RECEIVEDReceived
PENDINGPut aside, not finished
UPDATINGUpdating in progress
CONFIRMEDConfirmed
Possible values:
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
expectedArrivalstring · date-timeRequired

ETA

expectedDispatchstring · date-timeRequired

ETD

supplierOrderReferencestringRequired
receivedAtstring · date-time · nullableRequired
post/tenants/{tenantUid}/stores/{storeUid}/receivements
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receivements HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 468

{
  "receivementUid": "text",
  "externalId": "text",
  "items": [
    {
      "externalId": "text",
      "purchaseOrderItemUid": "text",
      "quantity": 1,
      "serialnumber": "text",
      "unitCost": 1,
      "note": "text",
      "reservations": [
        {
          "orderUid": "text",
          "orderItemUid": "text"
        }
      ],
      "receivementItemUid": "text"
    }
  ],
  "packingList": "text",
  "purchaseOrderUid": "text",
  "status": "RECEIVED",
  "warehouseUid": "text",
  "expectedArrival": "2026-01-01T00:00:00.000Z",
  "expectedDispatch": "2026-01-01T00:00:00.000Z",
  "supplierOrderReference": "text"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "externalId": "text",
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "externalId": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "product": {
        "productUid": "text",
        "name": "text",
        "sku": "text"
      },
      "purchaseOrderItemUid": "text",
      "quantity": 1,
      "unitCost": 1,
      "receivementItemUid": "text",
      "serialnumber": "text",
      "status": "text",
      "note": "text",
      "tenantUserUid": "text",
      "tenantUserDisplayName": "text",
      "reservations": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "quantity": 1,
          "reservationType": "NONE"
        }
      ]
    }
  ],
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "packingList": "text",
  "purchaseOrderUid": "text",
  "receivementUid": "text",
  "status": "RECEIVED",
  "warehouseUid": "text",
  "expectedArrival": "2026-01-01T00:00:00.000Z",
  "expectedDispatch": "2026-01-01T00:00:00.000Z",
  "supplierOrderReference": "text",
  "receivedAt": "2026-01-01T00:00:00.000Z"
}

Get receivement details

get
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}

Get details for a receivement.

Required permissions: RECEIVEMENT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivment

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
packingListstringRequired
purchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
receivementUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequired
ENUMDescription
RECEIVEDReceived
PENDINGPut aside, not finished
UPDATINGUpdating in progress
CONFIRMEDConfirmed
Possible values:
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
expectedArrivalstring · date-timeRequired

ETA

expectedDispatchstring · date-timeRequired

ETD

supplierOrderReferencestringRequired
receivedAtstring · date-time · nullableRequired
get/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "externalId": "text",
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "externalId": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "product": {
        "productUid": "text",
        "name": "text",
        "sku": "text"
      },
      "purchaseOrderItemUid": "text",
      "quantity": 1,
      "unitCost": 1,
      "receivementItemUid": "text",
      "serialnumber": "text",
      "status": "text",
      "note": "text",
      "tenantUserUid": "text",
      "tenantUserDisplayName": "text",
      "reservations": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "quantity": 1,
          "reservationType": "NONE"
        }
      ]
    }
  ],
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "packingList": "text",
  "purchaseOrderUid": "text",
  "receivementUid": "text",
  "status": "RECEIVED",
  "warehouseUid": "text",
  "expectedArrival": "2026-01-01T00:00:00.000Z",
  "expectedDispatch": "2026-01-01T00:00:00.000Z",
  "supplierOrderReference": "text",
  "receivedAt": "2026-01-01T00:00:00.000Z"
}

Update receivement details

put
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}

Update the details of a receivement.

Required permissions: RECEIVEMENT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Body
externalIdstringOptional

External reference to receivement

packingListstringOptional
statusstring · enumOptional
ENUMDescription
RECEIVEDReceived
PENDINGPut aside, not finished
UPDATINGUpdating in progress
CONFIRMEDConfirmed
Possible values:
expectedArrivalstring · date-timeOptional
expectedDispatchstring · date-timeOptional
supplierOrderReferencestringOptional
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivment

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
packingListstringRequired
purchaseOrderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
receivementUidstringRequiredPattern: ^[A-Za-z0-9-_]+
statusstring · enumRequired
ENUMDescription
RECEIVEDReceived
PENDINGPut aside, not finished
UPDATINGUpdating in progress
CONFIRMEDConfirmed
Possible values:
warehouseUidstringRequiredPattern: ^[A-Za-z0-9-_]+
expectedArrivalstring · date-timeRequired

ETA

expectedDispatchstring · date-timeRequired

ETD

supplierOrderReferencestringRequired
receivedAtstring · date-time · nullableRequired
put/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 185

{
  "externalId": "text",
  "packingList": "text",
  "status": "RECEIVED",
  "expectedArrival": "2026-01-01T00:00:00.000Z",
  "expectedDispatch": "2026-01-01T00:00:00.000Z",
  "supplierOrderReference": "text"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "externalId": "text",
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "externalId": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "product": {
        "productUid": "text",
        "name": "text",
        "sku": "text"
      },
      "purchaseOrderItemUid": "text",
      "quantity": 1,
      "unitCost": 1,
      "receivementItemUid": "text",
      "serialnumber": "text",
      "status": "text",
      "note": "text",
      "tenantUserUid": "text",
      "tenantUserDisplayName": "text",
      "reservations": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "quantity": 1,
          "reservationType": "NONE"
        }
      ]
    }
  ],
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "packingList": "text",
  "purchaseOrderUid": "text",
  "receivementUid": "text",
  "status": "RECEIVED",
  "warehouseUid": "text",
  "expectedArrival": "2026-01-01T00:00:00.000Z",
  "expectedDispatch": "2026-01-01T00:00:00.000Z",
  "supplierOrderReference": "text",
  "receivedAt": "2026-01-01T00:00:00.000Z"
}

Delete a receivement

delete
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}

Delete a receivement. Only allowed if ReceivementStatus is not UPDATING or COMPLETED.

Required permissions: RECEIVEMENT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

List receivement items

get
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items

List all items belonging to a specific receivement.

Required permissions: RECEIVEMENT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
200

Example response

application/json
get/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items
GET /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "items": [
    {
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "externalId": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text",
      "product": {
        "productUid": "text",
        "name": "text",
        "sku": "text"
      },
      "purchaseOrderItemUid": "text",
      "quantity": 1,
      "unitCost": 1,
      "receivementItemUid": "text",
      "serialnumber": "text",
      "status": "text",
      "note": "text",
      "tenantUserUid": "text",
      "tenantUserDisplayName": "text",
      "reservations": [
        {
          "orderUid": "text",
          "orderItemUid": "text",
          "orderNumber": "text",
          "quantity": 1,
          "reservationType": "NONE"
        }
      ]
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Add an item to a receivement

post
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items

Add an item to a receivement.

Required permissions: RECEIVEMENT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
Body

If you need to receive more than one quantity for items that required serialnumber you need to add one line for each serialnumber.

Example: You are going to receive 3 stk of purchaseorderItemUid 33, then you need to add 3 ReceivementItemCreate lines with quantity 1 and the serialnumber for each item.

externalIdstringOptional

External reference to receivement line

purchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
serialnumberstringOptional
unitCostintegerOptional

The unit cost price in local currency

notestringOptional
receivementItemUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivement line

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
purchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
unitPriceintegerOptionalDeprecated

Deprecated: Use unitcost instead

unitCostintegerOptional
receivementItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
serialnumberstringOptional
statusstringRequired
notestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]*
tenantUserDisplayNamestringRequired

The display name of the user that made the receivement

post/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items
POST /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 200

{
  "externalId": "text",
  "purchaseOrderItemUid": "text",
  "quantity": 1,
  "serialnumber": "text",
  "unitCost": 1,
  "note": "text",
  "reservations": [
    {
      "orderUid": "text",
      "orderItemUid": "text"
    }
  ],
  "receivementItemUid": "text"
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "externalId": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "product": {
    "productUid": "text",
    "name": "text",
    "sku": "text"
  },
  "purchaseOrderItemUid": "text",
  "quantity": 1,
  "unitCost": 1,
  "receivementItemUid": "text",
  "serialnumber": "text",
  "status": "text",
  "note": "text",
  "tenantUserUid": "text",
  "tenantUserDisplayName": "text",
  "reservations": [
    {
      "orderUid": "text",
      "orderItemUid": "text",
      "orderNumber": "text",
      "quantity": 1,
      "reservationType": "NONE"
    }
  ]
}

Get receivement item details

get
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}

Get details on an item on a receivement.

Required permissions: RECEIVEMENT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
receivementItemUidstringRequired

Reference to an item on a specific receivement.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivement line

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
purchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
unitPriceintegerOptionalDeprecated

Deprecated: Use unitcost instead

unitCostintegerOptional
receivementItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
serialnumberstringOptional
statusstringRequired
notestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]*
tenantUserDisplayNamestringRequired

The display name of the user that made the receivement

get/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "externalId": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "product": {
    "productUid": "text",
    "name": "text",
    "sku": "text"
  },
  "purchaseOrderItemUid": "text",
  "quantity": 1,
  "unitCost": 1,
  "receivementItemUid": "text",
  "serialnumber": "text",
  "status": "text",
  "note": "text",
  "tenantUserUid": "text",
  "tenantUserDisplayName": "text",
  "reservations": [
    {
      "orderUid": "text",
      "orderItemUid": "text",
      "orderNumber": "text",
      "quantity": 1,
      "reservationType": "NONE"
    }
  ]
}

Update receivement item details

put
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}

Update details of an item on a receivement.

Required permissions: RECEIVEMENT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
receivementItemUidstringRequired

Reference to an item on a specific receivement.

Pattern: ^[A-Za-z0-9-_]+
Body

If you need to receive more than one quantity for items that required serialnumber you need to add one line for each serialnumber.

Example: You are going to receive 3 stk of purchaseorderItemUid 33, then you need to add 3 ReceivementItemCreate lines with quantity 1 and the serialnumber for each item.

externalIdstringOptional

External reference to receivement line

purchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
serialnumberstringOptional
unitCostintegerOptional

The unit cost price in local currency

notestringOptional
Responses
200

Example response

application/json
createdAtstring · date-timeRequired
createdBystringRequired
externalIdstringRequired

External reference to receivement line

lastModifiedAtstring · date-timeRequired
lastModifiedBystringRequired
purchaseOrderItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
quantityintegerRequired
unitPriceintegerOptionalDeprecated

Deprecated: Use unitcost instead

unitCostintegerOptional
receivementItemUidstringRequiredPattern: ^[A-Za-z0-9-_]+
serialnumberstringOptional
statusstringRequired
notestringRequired
tenantUserUidstringRequiredPattern: ^[A-Za-z0-9-_]*
tenantUserDisplayNamestringRequired

The display name of the user that made the receivement

put/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}
PUT /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 172

{
  "externalId": "text",
  "purchaseOrderItemUid": "text",
  "quantity": 1,
  "serialnumber": "text",
  "unitCost": 1,
  "note": "text",
  "reservations": [
    {
      "orderUid": "text",
      "orderItemUid": "text"
    }
  ]
}
200

Example response

{
  "createdAt": "2026-01-01T00:00:00.000Z",
  "createdBy": "text",
  "externalId": "text",
  "lastModifiedAt": "2026-01-01T00:00:00.000Z",
  "lastModifiedBy": "text",
  "product": {
    "productUid": "text",
    "name": "text",
    "sku": "text"
  },
  "purchaseOrderItemUid": "text",
  "quantity": 1,
  "unitCost": 1,
  "receivementItemUid": "text",
  "serialnumber": "text",
  "status": "text",
  "note": "text",
  "tenantUserUid": "text",
  "tenantUserDisplayName": "text",
  "reservations": [
    {
      "orderUid": "text",
      "orderItemUid": "text",
      "orderNumber": "text",
      "quantity": 1,
      "reservationType": "NONE"
    }
  ]
}
delete
/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}

Remove an item from a receivement. Only possible if the item does not have UPDATING or RECEIVED status.

Required permissions: RECEIVEMENT

Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
receivementUidstringRequired

Reference to a receivement of a purchase order.

Pattern: ^[A-Za-z0-9-_]+
receivementItemUidstringRequired

Reference to an item on a specific receivement.

Pattern: ^[A-Za-z0-9-_]+
Responses
204

No Content

No content

delete/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid}
DELETE /v2/tenants/{tenantUid}/stores/{storeUid}/receivements/{receivementUid}/items/{receivementItemUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
204

No Content

No content

Last updated